OfficeGest
Accounting/Cost centers/{costCenter}

Get cost center by ID

Returns detailed information for a specific cost center.

GET
/accounting/cost-centers/{costCenter}
AuthorizationBearer <token>

In: header

Path Parameters

costCenterstring

Response Body

curl -X GET "https://og-tenant1.test:8003/api/v2/accounting/cost-centers/string"
{
  "data": {
    "code": "string",
    "name": "string",
    "active": true,
    "start_date": "2019-08-24",
    "end_date": "2019-08-24",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}